/*
 * Code for class WEL_INPUT_CONSTANTS
 */

#include "eif_eiffel.h"
#include "../E1/estructure.h"


#ifdef __cplusplus
extern "C" {
#endif

extern EIF_TYPED_VALUE F169_4138(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4139(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4140(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4141(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4142(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4143(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4144(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4145(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4146(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4147(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4148(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4149(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4150(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4151(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4152(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4153(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4154(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4155(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4156(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4157(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4158(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4159(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4160(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4161(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4162(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4163(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4164(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4165(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4166(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4167(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4168(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4169(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4170(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4171(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4172(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4173(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4174(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4175(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4176(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4177(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4178(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4179(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4180(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4181(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4182(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4183(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4184(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4185(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4186(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4187(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4188(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4189(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4190(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4191(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4192(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4193(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4194(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4195(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4196(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4197(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4198(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4199(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4200(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4201(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4202(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4203(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4204(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4205(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4206(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4207(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4208(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4209(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4210(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4211(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4212(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4213(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4214(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4215(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4216(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4217(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4218(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4219(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4220(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4221(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4222(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4223(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4224(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4225(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4226(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4227(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4228(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4229(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4230(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4231(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4232(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4233(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4234(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4235(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4236(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4237(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4238(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4239(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4240(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4241(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4242(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4243(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4244(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4245(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4246(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4247(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4248(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4249(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4250(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4251(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4252(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4253(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4254(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4255(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4256(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4257(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4258(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4259(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4260(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4261(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4262(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4263(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4264(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4265(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4266(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4267(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4268(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4269(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4270(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4271(EIF_REFERENCE);
extern EIF_TYPED_VALUE F169_4272(EIF_REFERENCE);
extern void EIF_Minit169(void);

#ifdef __cplusplus
}
#endif


#ifdef __cplusplus
extern "C" {
#endif


#ifdef __cplusplus
}
#endif


#ifdef __cplusplus
extern "C" {
#endif

/* {WEL_INPUT_CONSTANTS}.ma_activate */
EIF_TYPED_VALUE F169_4138 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 1L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.ma_activateandeat */
EIF_TYPED_VALUE F169_4139 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 2L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.ma_noactivate */
EIF_TYPED_VALUE F169_4140 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 3L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.ma_noactivateandeat */
EIF_TYPED_VALUE F169_4141 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 4L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.mk_control */
EIF_TYPED_VALUE F169_4142 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 8L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.mk_lbutton */
EIF_TYPED_VALUE F169_4143 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 1L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.mk_mbutton */
EIF_TYPED_VALUE F169_4144 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 16L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.mk_rbutton */
EIF_TYPED_VALUE F169_4145 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 2L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.mk_shift */
EIF_TYPED_VALUE F169_4146 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 4L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_lbutton */
EIF_TYPED_VALUE F169_4147 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 1L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_rbutton */
EIF_TYPED_VALUE F169_4148 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 2L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_cancel */
EIF_TYPED_VALUE F169_4149 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 3L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_mbutton */
EIF_TYPED_VALUE F169_4150 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 4L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_back */
EIF_TYPED_VALUE F169_4151 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 8L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_tab */
EIF_TYPED_VALUE F169_4152 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 9L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_clear */
EIF_TYPED_VALUE F169_4153 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 12L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_return */
EIF_TYPED_VALUE F169_4154 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 13L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_shift */
EIF_TYPED_VALUE F169_4155 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 16L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_control */
EIF_TYPED_VALUE F169_4156 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 17L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_menu */
EIF_TYPED_VALUE F169_4157 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 18L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_pause */
EIF_TYPED_VALUE F169_4158 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 19L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_capital */
EIF_TYPED_VALUE F169_4159 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 20L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_escape */
EIF_TYPED_VALUE F169_4160 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 27L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_space */
EIF_TYPED_VALUE F169_4161 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 32L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_prior */
EIF_TYPED_VALUE F169_4162 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 33L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_next */
EIF_TYPED_VALUE F169_4163 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 34L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_end */
EIF_TYPED_VALUE F169_4164 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 35L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_home */
EIF_TYPED_VALUE F169_4165 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 36L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_left */
EIF_TYPED_VALUE F169_4166 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 37L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_up */
EIF_TYPED_VALUE F169_4167 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 38L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_right */
EIF_TYPED_VALUE F169_4168 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 39L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_down */
EIF_TYPED_VALUE F169_4169 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 40L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_select */
EIF_TYPED_VALUE F169_4170 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 41L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_print */
EIF_TYPED_VALUE F169_4171 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 42L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_execute */
EIF_TYPED_VALUE F169_4172 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 43L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_snapshot */
EIF_TYPED_VALUE F169_4173 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 44L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_insert */
EIF_TYPED_VALUE F169_4174 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 45L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_delete */
EIF_TYPED_VALUE F169_4175 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 46L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_help */
EIF_TYPED_VALUE F169_4176 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 47L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_numpad0 */
EIF_TYPED_VALUE F169_4177 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 96L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_numpad1 */
EIF_TYPED_VALUE F169_4178 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 97L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_numpad2 */
EIF_TYPED_VALUE F169_4179 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 98L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_numpad3 */
EIF_TYPED_VALUE F169_4180 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 99L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_numpad4 */
EIF_TYPED_VALUE F169_4181 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 100L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_numpad5 */
EIF_TYPED_VALUE F169_4182 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 101L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_numpad6 */
EIF_TYPED_VALUE F169_4183 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 102L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_numpad7 */
EIF_TYPED_VALUE F169_4184 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 103L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_numpad8 */
EIF_TYPED_VALUE F169_4185 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 104L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_numpad9 */
EIF_TYPED_VALUE F169_4186 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 105L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_multiply */
EIF_TYPED_VALUE F169_4187 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 106L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_add */
EIF_TYPED_VALUE F169_4188 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 107L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_separator */
EIF_TYPED_VALUE F169_4189 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 108L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_subtract */
EIF_TYPED_VALUE F169_4190 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 109L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_decimal */
EIF_TYPED_VALUE F169_4191 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 110L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_divide */
EIF_TYPED_VALUE F169_4192 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 111L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_f1 */
EIF_TYPED_VALUE F169_4193 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 112L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_f2 */
EIF_TYPED_VALUE F169_4194 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 113L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_f3 */
EIF_TYPED_VALUE F169_4195 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 114L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_f4 */
EIF_TYPED_VALUE F169_4196 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 115L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_f5 */
EIF_TYPED_VALUE F169_4197 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 116L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_f6 */
EIF_TYPED_VALUE F169_4198 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 117L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_f7 */
EIF_TYPED_VALUE F169_4199 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 118L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_f8 */
EIF_TYPED_VALUE F169_4200 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 119L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_f9 */
EIF_TYPED_VALUE F169_4201 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 120L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_f10 */
EIF_TYPED_VALUE F169_4202 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 121L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_f11 */
EIF_TYPED_VALUE F169_4203 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 122L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_f12 */
EIF_TYPED_VALUE F169_4204 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 123L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_f13 */
EIF_TYPED_VALUE F169_4205 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 124L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_f14 */
EIF_TYPED_VALUE F169_4206 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 125L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_f15 */
EIF_TYPED_VALUE F169_4207 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 126L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_f16 */
EIF_TYPED_VALUE F169_4208 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 127L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_f17 */
EIF_TYPED_VALUE F169_4209 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 128L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_f18 */
EIF_TYPED_VALUE F169_4210 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 129L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_f19 */
EIF_TYPED_VALUE F169_4211 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 130L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_f20 */
EIF_TYPED_VALUE F169_4212 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 131L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_f21 */
EIF_TYPED_VALUE F169_4213 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 132L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_f22 */
EIF_TYPED_VALUE F169_4214 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 133L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_f23 */
EIF_TYPED_VALUE F169_4215 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 134L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_f24 */
EIF_TYPED_VALUE F169_4216 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 135L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_numlock */
EIF_TYPED_VALUE F169_4217 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 144L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_scroll */
EIF_TYPED_VALUE F169_4218 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 145L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_lshift */
EIF_TYPED_VALUE F169_4219 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 160L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_rshift */
EIF_TYPED_VALUE F169_4220 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 161L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_lcontrol */
EIF_TYPED_VALUE F169_4221 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 162L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_rcontrol */
EIF_TYPED_VALUE F169_4222 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 163L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_lmenu */
EIF_TYPED_VALUE F169_4223 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 164L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_rmenu */
EIF_TYPED_VALUE F169_4224 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 165L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_0 */
EIF_TYPED_VALUE F169_4225 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 48L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_1 */
EIF_TYPED_VALUE F169_4226 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 49L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_2 */
EIF_TYPED_VALUE F169_4227 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 50L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_3 */
EIF_TYPED_VALUE F169_4228 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 51L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_4 */
EIF_TYPED_VALUE F169_4229 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 52L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_5 */
EIF_TYPED_VALUE F169_4230 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 53L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_6 */
EIF_TYPED_VALUE F169_4231 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 54L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_7 */
EIF_TYPED_VALUE F169_4232 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 55L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_8 */
EIF_TYPED_VALUE F169_4233 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 56L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_9 */
EIF_TYPED_VALUE F169_4234 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 57L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_a */
EIF_TYPED_VALUE F169_4235 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 65L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_b */
EIF_TYPED_VALUE F169_4236 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 66L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_c */
EIF_TYPED_VALUE F169_4237 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 67L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_d */
EIF_TYPED_VALUE F169_4238 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 68L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_e */
EIF_TYPED_VALUE F169_4239 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 69L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_f */
EIF_TYPED_VALUE F169_4240 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 70L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_g */
EIF_TYPED_VALUE F169_4241 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 71L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_h */
EIF_TYPED_VALUE F169_4242 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 72L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_i */
EIF_TYPED_VALUE F169_4243 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 73L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_j */
EIF_TYPED_VALUE F169_4244 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 74L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_k */
EIF_TYPED_VALUE F169_4245 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 75L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_l */
EIF_TYPED_VALUE F169_4246 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 76L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_m */
EIF_TYPED_VALUE F169_4247 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 77L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_n */
EIF_TYPED_VALUE F169_4248 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 78L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_o */
EIF_TYPED_VALUE F169_4249 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 79L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_p */
EIF_TYPED_VALUE F169_4250 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 80L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_q */
EIF_TYPED_VALUE F169_4251 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 81L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_r */
EIF_TYPED_VALUE F169_4252 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 82L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_s */
EIF_TYPED_VALUE F169_4253 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 83L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_t */
EIF_TYPED_VALUE F169_4254 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 84L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_u */
EIF_TYPED_VALUE F169_4255 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 85L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_v */
EIF_TYPED_VALUE F169_4256 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 86L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_w */
EIF_TYPED_VALUE F169_4257 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 87L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_x */
EIF_TYPED_VALUE F169_4258 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 88L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_y */
EIF_TYPED_VALUE F169_4259 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 89L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.vk_z */
EIF_TYPED_VALUE F169_4260 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 90L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.keyeventf_extendedkey */
EIF_TYPED_VALUE F169_4261 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 1L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.keyeventf_keyup */
EIF_TYPED_VALUE F169_4262 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 2L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.mouseeventf_absolute */
EIF_TYPED_VALUE F169_4263 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 32768L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.mouseeventf_move */
EIF_TYPED_VALUE F169_4264 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 1L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.mouseeventf_leftdown */
EIF_TYPED_VALUE F169_4265 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 2L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.mouseeventf_leftup */
EIF_TYPED_VALUE F169_4266 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 4L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.mouseeventf_rightdown */
EIF_TYPED_VALUE F169_4267 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 8L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.mouseeventf_rightup */
EIF_TYPED_VALUE F169_4268 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 16L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.mouseeventf_middledown */
EIF_TYPED_VALUE F169_4269 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 32L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.mouseeventf_middleup */
EIF_TYPED_VALUE F169_4270 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 64L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.mouseeventf_wheel */
EIF_TYPED_VALUE F169_4271 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 2048L);
	return r;
}

/* {WEL_INPUT_CONSTANTS}.wheel_delta */
EIF_TYPED_VALUE F169_4272 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 120L);
	return r;
}

void EIF_Minit169 (void)
{
	GTCX
}


#ifdef __cplusplus
}
#endif
